読者です 読者をやめる 読者になる 読者になる

jpmobileのインストール

Ruby Rails 携帯サイト jpmobile

インストール

Jpmobileをローカルインストール - 眼鏡手記 : QiQを参照しましたが、Windows環境でも単にこうすれば大丈夫のようです。

詳細は下記を参照。

[C:\Ruby]
$ gem install jpmobile
Successfully installed jpmobile-0.0.6
1 gem installed
Installing ri documentation for jpmobile-0.0.6...
Installing RDoc documentation for jpmobile-0.0.6...

[C:\Ruby]
$

設定

RAILS_ROOT/config/environment.rbを下記のように変更します。

# Be sure to restart your server when you modify this file

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.3' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence over those specified here.
  # Application configuration should go into files in config/initializers
  # -- all .rb files in that directory are automatically loaded.

  # Add additional load paths for your own custom dirs
  # config.load_paths += %W( #{RAILS_ROOT}/extras )

  # Specify gems that this application depends on and have them installed with rake gems:install
  # config.gem "bj"
  # config.gem "hpricot", :version => '0.6', :source => "http://code.whytheluckystiff.net"
  # config.gem "sqlite3-ruby", :lib => "sqlite3"
  # config.gem "aws-s3", :lib => "aws/s3"

  # Use Jpmobile.
  # see, http://github.com/darashi/jpmobile/tree/master
  config.gem "jpmobile"

【以下略】

インストールの確認

こんな感じで↓

[C:\pleiades-e3.5\workspace\test]
$ ruby script\console
Loading development environment (Rails 2.3.3)
>> Jpmobile::VERSION::STRING
=> "0.0.6"
>>

概要

社内勉強会を立ち上げる - part 3 : Jpmobileを使ってみる: Kwappa開発室を見てください。

#私はまだお勉強中。orz